fop 2.3

## org.apache.fop.fonts.cff
Class CFFDataReader.Format1Encoding

    java.lang.Object
      org.apache.fop.fonts.cff.CFFDataReader.CustomEncoding
          org.apache.fop.fonts.cff.CFFDataReader.Format1Encoding

Enclosing class:
  CFFDataReader

    public class CFFDataReader.Format1Encoding

extends CFFDataReader.CustomEncoding

Constructor Summary
`CFFDataReader.Format1Encoding()`

Method Summary
`java.util.Map<java.lang.Integer,java.lang.Integer>` `getRanges()`
`void` `setRanges(java.util.Map<java.lang.Integer,java.lang.Integer> ranges)`

Methods inherited from class org.apache.fop.fonts.cff.CFFDataReader.CustomEncoding
`getFormat, getNumEntries, setFormat, setNumEntries`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CFFDataReader.Format1Encoding

    public CFFDataReader.Format1Encoding()

Method Detail

### setRanges

    public void setRanges(java.util.Map<java.lang.Integer,java.lang.Integer> ranges)

### getRanges

    public java.util.Map<java.lang.Integer,java.lang.Integer> getRanges()

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.